#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Covalent radius table
#
# Source: https://github.com/openbabel/openbabel/blob/master/src/elementtable.h
#   - covalent radii (in Angstrom)         1.6 if unknown
#       from https://doi.org/10.1039/b801115j
#


covalent_radius = {
    "H":  0.31,
    "D":  0.00,
    "He": 0.28,
    "Li": 1.28,
    "Be": 0.96,
    "B":  0.84,
    "C":  0.76,
    "N":  0.71,
    "O":  0.66,
    "F":  0.57,
    "Ne": 0.58,
    "Na": 1.66,
    "Mg": 1.41,
    "Al": 1.21,
    "Si": 1.11,
    "P":  1.07,
    "S":  1.05,
    "Cl": 1.02,
    "Ar": 1.06,
    "K ": 2.03,
    "Ca": 1.76,
    "Sc": 1.70,
    "Ti": 1.60,
    "V":  1.53,
    "Cr": 1.39,
    "Mn": 1.39,
    "Fe": 1.32,
    "Co": 1.26,
    "Ni": 1.24,
    "Cu": 1.32,
    "Zn": 1.22,
    "Ga": 1.22,
    "Ge": 1.20,
    "As": 1.19,
    "Se": 1.20,
    "Br": 1.20,
    "Kr": 1.16,
    "Rb": 2.20,
    "Sr": 1.95,
    "Y":  1.90,
    "Zr": 1.75,
    "Nb": 1.64,
    "Mo": 1.54,
    "Tc": 1.47,
    "Ru": 1.46,
    "Rh": 1.42,
    "Pd": 1.39,
    "Ag": 1.45,
    "Cd": 1.44,
    "In": 1.42,
    "Sn": 1.39,
    "Sb": 1.39,
    "Te": 1.38,
    "I":  1.39,
    "Xe": 1.40,
    "Cs": 2.44,
    "Ba": 2.15,
    "La": 2.07,
    "Ce": 2.04,
    "Pr": 2.03,
    "Nd": 2.01,
    "Pm": 1.99,
    "Sm": 1.98,
    "Eu": 1.98,
    "Gd": 1.96,
    "Tb": 1.94,
    "Dy": 1.92,
    "Ho": 1.92,
    "Er": 1.89,
    "Tm": 1.90,
    "Yb": 1.87,
    "Lu": 1.87,
    "Hf": 1.75,
    "Ta": 1.70,
    "W":  1.62,
    "Re": 1.51,
    "Os": 1.44,
    "Ir": 1.41,
    "Pt": 1.36,
    "Au": 1.36,
    "Hg": 1.32,
    "Tl": 1.45,
    "Pb": 1.46,
    "Bi": 1.48,
    "Po": 1.40,
    "At": 1.50,
    "Rn": 1.50,
    "Fr": 2.60,
    "Ra": 2.21,
    "Ac": 2.15,
    "Th": 2.06,
    "Pa": 2.00,
    "U":  1.96,
    "Np": 1.90,
    "Pu": 1.87,
    "Am": 1.80,
    "Cm": 1.69,
    "Bk": 1.60,
    "Cf": 1.60,
    "Es": 1.60,
    "Fm": 1.60,
    "Md": 1.60,
    "No": 1.60,
    "Lr": 1.60,
    "Rf": 1.60,
    "Db": 1.60,
    "Sg": 1.60,
    "Bh": 1.60,
    "Hs": 1.60,
    "Mt": 1.60,
    "Ds": 1.60,
    "Rg": 1.60,
    "Cn": 1.60,
    "Nh": 1.60,
    "Fl": 1.60,
    "Mc": 1.60,
    "Lv": 1.60,
    "Ts": 1.60,
    "Og": 1.60
}
